Bug 69352 - Fix for ports/61297 (readline port)
Summary: Fix for ports/61297 (readline port)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-20 18:50 UTC by Frank J. Laszlo
Modified: 2004-07-22 08:17 UTC (History)
0 users

See Also:


Attachments
readline.shar (3.83 KB, text/plain)
2004-07-20 18:50 UTC, Frank J. Laszlo
no flags Details
readline.patch (1.09 KB, patch)
2004-07-21 14:52 UTC, Frank J. Laszlo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank J. Laszlo 2004-07-20 18:50:23 UTC
	This patch fixes the problems related to PR ports/61297. With this
	fix, people using bash2 and this readline port, will no longer 
	experience the issue.

How-To-Repeat: 	See ports/61297.
Comment 1 Dan Langille 2004-07-20 19:26:10 UTC
I have confirmed that the bug existed on both 4.10-stable and 5.2.1-
release.  This patch fixes both branches.
-- 
Dan Langille : http://www.langille.org/
Comment 2 Frank J. Laszlo 2004-07-20 20:33:34 UTC
The problem seems to exist within readline itself. After extensive 
testing with Dan,we have confirmed this suspition.

-Frank Laszlo
Comment 3 Volker Stolz freebsd_committer 2004-07-21 12:19:47 UTC
State Changed
From-To: open->feedback

Thanks for the quick response! Could you please resubmit your patch in 
"unified diff" format? Thanks in advance. Most probably, you'll only 
have added the patchfile and you should bump PORTREVISION.
Comment 4 Frank J. Laszlo 2004-07-21 14:52:05 UTC
Here is the patch in unified diff format. Maybe someone should point 
this at the maintainer for readline in base? Thanks.

Frank Laszlo
Comment 5 Volker Stolz freebsd_committer 2004-07-22 08:17:30 UTC
State Changed
From-To: feedback->closed

Committed, thanks!